import 'dart:async';

import 'package:equatable/equatable.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

part 'feature_name_event.dart';
part 'feature_name_state.dart';

/// {@template feature_name_bloc}
/// FeatureNameBloc description
/// {@endtemplate}
class FeatureNameBloc extends Bloc<FeatureNameEvent, FeatureNameState> {
  /// {@macro feature_name_bloc}
  FeatureNameBloc() : super(const FeatureNameInitial()) {
    on<CustomFeatureNameEvent>(_onCustomFeatureNameEvent);
  }

  FutureOr<void> _onCustomFeatureNameEvent(
    CustomFeatureNameEvent event,
    Emitter<FeatureNameState> emit,
  ) async {
    // TODO(wyatt): Add custom UI logic
    const _ = 1 + 1;
    return;
  }
}
